/* GNUPLOT - color.c */

/*[
 *
 * Petr Mikulik, December 1998 -- June 1999
 * Copyright: open source as much as possible
 *
 * 
 * What is here: #defines, global variables and declaration of routines for 
 * colours---required by the pm3d splotting mode and coloured filled contours
 *
]*/


/*
 *
 * What is here:
 *   - Global variables declared in .h are initialized here
 *   - Palette routines
 *   - Colour box drawing
 *
 */


/** NOTICE: currently, this file is included only if PM3D is defined **/
#ifdef PM3D

#include "plot.h"
#include "pm3d.h"
   /* need to access used_pm3d_zmin, used_pm3d_zmax; */


/* COLOUR MODES - GLOBAL VARIABLES */

t_sm_palette sm_palette = {
  33, /* colorFormulae---must be changed if changed GetColorValueFromFormula() */
  SMPAL_COLOR_MODE_RGB, /* colorMode */
  7, 5, 15, /* formulaR, formulaG, formulaB */
  SMPAL_POSITIVE, /* positive */
  0, 0, 0, /* use_maxcolors, colors, rgb_table */
  0, /* offset */
  0 /* ps_allcF */
  };



#endif /* PM3D */

/* eof color.c */
